[med-svn] [pdb2pqr] 02/03: fixes in testsuite:

Tatiana Malygina latticetower-guest at moszumanska.debian.org
Tue Jun 14 22:34:06 UTC 2016


This is an automated email from the git hooks/post-receive script.

latticetower-guest pushed a commit to branch master
in repository pdb2pqr.

commit 6252a5c1b8376a3302ba8b7ea1328ca951b6b1f5
Author: latticetower-guest <merlettaia at gmail.com>
Date:   Tue Jun 14 23:53:25 2016 +0300

    fixes in testsuite:
    
    1. removed examples for pdb2pqr (unnecessary)
    2. split installation-test to 2 different files - to use with and
     without pdb2pqr-doc package
    3. updated README.test
---
 debian/README.test             | 13 +++++++++----
 debian/examples                |  1 -
 debian/tests/control           |  4 ++++
 debian/tests/installation-test | 26 --------------------------
 debian/tests/ligands-test      | 33 +++++++++++++++++++++++++++++++++
 5 files changed, 46 insertions(+), 31 deletions(-)

diff --git a/debian/README.test b/debian/README.test
index 9ab7270..915a3ad 100644
--- a/debian/README.test
+++ b/debian/README.test
@@ -6,11 +6,16 @@ This package can be tested by executing
     sh installation-test
 
 in order to confirm its integrity.
-During data processing, package can write multiple warning messages to stderr. 
-This output means that PDB file contains erranous data, which could be repaired
-by pdb2pqr. In `installation-test` script these messages should appear. 
 
-For this to be processed in autopkgtest testsuite, `allow-stderr` restriction 
+If you have both pdb2pqr and pdb2pqr-doc packages installed, you can test their
+installation by executing
+
+    sh ligands-test
+
+During data processing, pdb2pqr can write multiple warning messages to stderr. 
+This output means that PDB file contains erranous data, which could be repaired
+by pdb2pqr. In `installation-test` and other test scripts these messages should 
+appear. For this to be processed in autopkgtest testsuite, `allow-stderr` restriction 
 is set.
 
 To test manually, run `pdb2pqr` like this (program output will be saved to 
diff --git a/debian/examples b/debian/examples
deleted file mode 100644
index e39721e..0000000
--- a/debian/examples
+++ /dev/null
@@ -1 +0,0 @@
-examples/*
diff --git a/debian/tests/control b/debian/tests/control
index 8d154a1..2999c55 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -1,3 +1,7 @@
 Tests: installation-test
+Depends: pdb2pqr
+Restrictions: allow-stderr
+
+Tests: ligands-test
 Depends: @
 Restrictions: allow-stderr
diff --git a/debian/tests/installation-test b/debian/tests/installation-test
index 5c89640..d2b4791 100644
--- a/debian/tests/installation-test
+++ b/debian/tests/installation-test
@@ -13,32 +13,6 @@ fi
 
 cd $ADTTMP
 
-cp -a /usr/share/doc/${pkg}/examples/* .
-find . -type f -name "*.gz" -exec gunzip \{\} \;
-for lnk in `find . -type l -name "*.gz"` ; do
-    ln -s `basename $(readlink $lnk) .gz` `echo $lnk | sed 's/\.gz$//'`
-    rm $lnk
-done
-
 echo "Run pdb2pqr..."
 pdb2pqr --ff=amber "1FAS" output.txt
 [ -s output.txt ]
-
-# following were adopted from fabfile.py, 
-#     method "linux_bin_cross_platform_test":
-pdb2pqr --ff=parse --verbose --ligand=ligands/LIG_1ABF.mol2 1ABF 1ABF.pqr
-
-## following fails (this call also present in fabfile.py):
-# pdb2pqr --with-ph=7.0 --ph-calc-method=pdb2pka --ff=parse --verbose 1a1p 1a1p.pqr
-## Traceback:
-## Running PDB2PKA and applying at pH 7.00... 
-## Traceback (most recent call last):
-##  File "/usr/bin/pdb2pqr", line 62, in <module>
-##    mainCommand(sys.argv)
-##  File "/usr/share/pdb2pqr/main.py", line 740, in mainCommand
-##    include_old_header = options.include_header)
-##  File "/usr/share/pdb2pqr/main.py", line 341, in runPDB2PQR
-##    myRoutines.runPDB2PKA(ph, ff, pdblist, ligand, verbose, ph_calc_options)
-##  File "/usr/share/pdb2pqr/src/routines.py", line 1503, in runPDB2PKA
-##    import pka
-## ImportError: No module named pka
diff --git a/debian/tests/ligands-test b/debian/tests/ligands-test
new file mode 100644
index 0000000..6703807
--- /dev/null
+++ b/debian/tests/ligands-test
@@ -0,0 +1,33 @@
+#!/bin/sh
+# autopkgtest check: build and run with default test data
+# Author: Tatiana Malygina <merlettaia at gmail.com>
+
+set -e
+
+pkg=pdb2pqr
+example_pkg=pdb2pqr-doc
+
+if [ "$ADTTMP" = "" ] ; then
+  ADTTMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf $ADTTMP" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cd $ADTTMP
+
+cp -a /usr/share/doc/${example_pkg}/examples/* .
+find . -type f -name "*.gz" -exec gunzip \{\} \;
+for lnk in `find . -type l -name "*.gz"` ; do
+    ln -s `basename $(readlink $lnk) .gz` `echo $lnk | sed 's/\.gz$//'`
+    rm $lnk
+done
+
+echo "Run pdb2pqr..."
+
+# following sample call was adopted from fabfile.py, 
+#     method "linux_bin_cross_platform_test":
+for pdb in 1ABF 1HPV 1HPX 1QBS 1XL5; do
+  echo "******** ${pdb} starting"
+  pdb2pqr --ff=parse --verbose --ligand="ligands/LIG_${pdb}.mol2" ${pdb} "${pdb}.pqr"
+  [ -s "${pdb}.pqr" ]
+  echo "******** ${pdb} done"
+done

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/pdb2pqr.git



More information about the debian-med-commit mailing list